use std::io::{BufReader, BufRead};
use std::fs::File;


pub fn iter_nums(filename: &str) -> impl Iterator<Item=i32> {
    let file = File::open(filename).expect("File not found! Make sure that your current directory is the project root.");
    let reader = BufReader::new(file);

    reader.lines().map(|line| 
        line
            .expect("Couldn't split on lines I guess?")
            .parse::<i32>()
            .expect("Could not parse integer!")
    )
}